GET/api/v4/social/brands/{brandId}

获取品牌

返回一个社交品牌及其资料详情、时区、归档状态和已连接渠道数量。

需要 API 密钥。请求头格式和密钥轮换请参阅身份验证。

参数

路径

名称类型必填描述
brandIdstring必填Brand UUID, the `socialProfile.id` returned by POST /social/brands or the `id` of a row from GET /social/brands.

响应

200The brand.
Response
{  "data": {    "getSocialProfileDetails": {      "id": "6f2c9a41-7b0e-4d55-9a2f-3c8e1d47b902",      "profileName": "Jenny Home",      "archived": false,      "logo": "https://cdn.listingsapi.com/social/brands/6f2c9a41/logo.png",      "profileLogo": "https://cdn.listingsapi.com/social/brands/6f2c9a41/logo.png",      "siteUrl": "https://jennyhome.example",      "countryIso": "US",      "bio": "Handmade furniture for real homes.",      "businessIntent": "A family-run home furnishings store selling handmade furniture and textiles.",      "categories": ["Furniture Store", "Home Goods"],      "brandHashtags": ["jennyhome", "handmadefurniture"],      "competitorHashtags": ["localfurniture"],      "connectedChannelCount": 3,      "timezone": {        "label": "(GMT-05:00) Eastern Time",        "tzCode": "America/New_York",        "name": "Eastern Standard Time",        "utc": "-05:00"      },      "contentPreferredLanguage": "en"    }  }}
401Unauthenticated, missing or invalid API key.
404No brand with that ID on this account (`SY95043`).

通过 UUID 获取单个品牌。响应内容与 GET /social/brands 中的一行完全相同,因此,当您已持有 brandId 并希望获取最新数据时,可使用此端点,无需重新获取列表。

使用场景:在发布界面显示品牌页头。读取 profileName 和 logo,以在帖子编辑器中标明品牌信息,并读取 timezone.tzCode,以 API 实际解析定时时间所用的时区显示这些时间。使用 scheduleDate + scheduleTime 定时发布的帖子以此字段为时间依据,因此,向读者显示其他时区的时间容易造成数小时的偏差。

使用场景:发布前预检。如果 connectedChannelCount 为 0,则没有可发布的渠道。请引导用户前往连接链接,以免他们编写的帖子因 SY95045 而被拒绝。

注意事项。

  • brandId 是普通的 UUID。如果像地点 ID 那样对其做 Base64 编码,会返回 404。
  • brandId 仅用作路径参数。同一个值在请求体中以 socialProfileId 出现;这两个名称表示位于不同位置的同一个 ID。
  • 对于已归档的品牌,archived 为 true。仅计划归档的品牌仍显示为 archived: false,请参阅归档品牌。
  • timezone.tzCode 是解析定时计划所依据的 IANA 标识符;其余 3 个时区字段是显示标签。
  • 要获取品牌的各个连接及其平台和连接 ID,请调用 GET /social/brands/{brandId}/connections。
Request
curl -X GET 'https://listingsapi.com/api/v4/social/brands/<brandId>' \  -H "Authorization: API $LISTINGSAPI_KEY"